Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Configuring Qt6.2 fails on QtShaderTools



  • I'm trying to build Qt for wasm from sources to have support for threading. I am using using em++ version 2.0.17. For the host path, i am using a prebuilt version, downloaded through the maintenance tool.
    Something seems to be going wrong when trying to configure the QtShaderTools module - is this a known issue?

    # ~/Apps/Qt/6.2.0/Src
    ./configure -qt-host-path ~/Apps/Qt/6.2.0/gcc_64 -xplatform wasm-emscripten -feature-thread -prefix $PWD/qtbase
    

    Configure output:

    /home/morten/Apps/Qt/6.2.0/Src/qtbase/configure -top-level -qt-host-path /home/morten/Apps/Qt/6.2.0/gcc_64 -xplatform wasm-emscripten -feature-thread -prefix /home/morten/Apps/Qt/6.2.0/Src/qtbase
    '/home/morten/Apps/Qt/Tools/CMake/bin/cmake' '-DQT_HOST_PATH=/home/morten/Apps/Qt/6.2.0/gcc_64' '-DCMAKE_INSTALL_PREFIX=/home/morten/Apps/Qt/6.2.0/Src/qtbase' '-DQT_QMAKE_TARGET_MKSPEC=wasm-emscripten' '-DINPUT_thread=yes' '-G' 'Ninja' '/home/morten/Apps/Qt/6.2.0/Src'
    -- The ASM compiler identification is unknown
    -- Found assembler: /home/morten/Downloads/emsdk/upstream/emscripten/emcc
    -- Warning: Did not find file Compiler/-ASM
    Checking dependencies of 'qtbase'
    Checking dependencies of 'qtshadertools'
    Checking dependencies of 'qtsvg'
    Checking dependencies of 'qtdeclarative'
    Checking dependencies of 'qt3d'
    Checking dependencies of 'qt5compat'
    Checking dependencies of 'qtactiveqt'
    Checking dependencies of 'qtimageformats'
    Checking dependencies of 'qtquickcontrols2'
    Checking dependencies of 'qtmultimedia'
    Checking dependencies of 'qtcharts'
    Checking dependencies of 'qtcoap'
    Checking dependencies of 'qtconnectivity'
    Checking dependencies of 'qtdatavis3d'
    Checking dependencies of 'qttools'
    Checking dependencies of 'qtdoc'
    Checking dependencies of 'qtlottie'
    Checking dependencies of 'qtmqtt'
    Checking dependencies of 'qtnetworkauth'
    Checking dependencies of 'qtopcua'
    Checking dependencies of 'qtserialport'
    Checking dependencies of 'qtpositioning'
    Checking dependencies of 'qtquicktimeline'
    Checking dependencies of 'qtquick3d'
    Checking dependencies of 'qtremoteobjects'
    Checking dependencies of 'qtscxml'
    Checking dependencies of 'qtsensors'
    Checking dependencies of 'qtserialbus'
    Checking dependencies of 'qttranslations'
    Checking dependencies of 'qtvirtualkeyboard'
    Checking dependencies of 'qtwayland'
    Checking dependencies of 'qtwebsockets'
    Checking dependencies of 'qtwebchannel'
    Checking dependencies of 'qtlocation'
    Checking dependencies of 'qtwebengine'
    Skipping optional dependency 'qtlocation' of 'qtwebengine', because qtlocation's CMakeLists.txt couldn't be found.
    Checking dependencies of 'qtwebview'
    Configuring 'qtbase'
    -- Warning: Did not find file Compiler/-ASM
    -- Check for feature set changes
    -- Building architecture extraction project with the following CMake arguments:
        -DCMAKE_TOOLCHAIN_FILE=/home/morten/Downloads/emsdk/upstream/emscripten/cmake/Modules/Platform/Emscripten.cmake
        -DCMAKE_C_STANDARD=11
        -DCMAKE_CXX_STANDARD=17
    -- Extracting architecture info from /home/morten/Apps/Qt/6.2.0/Src/qtbase/config.tests/arch/architecture_test.wasm.
    -- CMAKE_VERSION: "3.18.3"
    -- CMAKE_HOST_SYSTEM: "Linux-5.9.0-050900-generic"
    -- CMAKE_HOST_SYSTEM_NAME: "Linux"
    -- CMAKE_HOST_SYSTEM_VERSION: "5.9.0-050900-generic"
    -- CMAKE_HOST_SYSTEM_PROCESSOR: "x86_64"
    -- CMAKE_SYSTEM: "Emscripten"
    -- CMAKE_SYSTEM_NAME: "Emscripten"
    -- CMAKE_SYSTEM_VERSION: "1"
    -- CMAKE_SYSTEM_PROCESSOR: "x86"
    -- CMAKE_CROSSCOMPILING: "TRUE"
    -- CMAKE_C_COMPILER: "/home/morten/Downloads/emsdk/upstream/emscripten/emcc" (13.0.0)
    -- CMAKE_CXX_COMPILER: "/home/morten/Downloads/emsdk/upstream/emscripten/em++" (13.0.0)
    -- Could NOT find ZLIB (missing: ZLIB_LIBRARY ZLIB_INCLUDE_DIR) (Required is at least version "1.0.8")
    -- Could NOT find WrapZLIB (missing: WrapZLIB_FOUND) (Required is at least version "1.0.8")
    -- Could NOT find ZSTD: Found unsuitable version "", but required is at least "1.3" (found ZSTD_LIBRARY-NOTFOUND)
    -- Could NOT find WrapDBus1 (missing: DBus1_LIBRARY DBus1_INCLUDE_DIR WrapDBus1_FOUND) (Required is at least version "1.2")
    Setting INITIAL_MEMORY to 1GB
    Setting PTHREAD_POOL_SIZE to 4
    -- Could NOT find Backtrace (missing: Backtrace_LIBRARY Backtrace_INCLUDE_DIR) 
    -- Could NOT find double-conversion (missing: double-conversion_DIR)
    -- Could NOT find WrapDoubleConversion (missing: WrapDoubleConversion_FOUND) 
    -- Could NOT find GLIB2 (missing: GLIB2_LIBRARIES GTHREAD2_LIBRARIES GLIB2_INCLUDE_DIRS) 
    -- The following ICU libraries were not found:
    --   i18n (required)
    --   uc (required)
    --   data (required)
    -- Failed to find all ICU components (missing: ICU_INCLUDE_DIR ICU_LIBRARY _ICU_REQUIRED_LIBS_FOUND) 
    -- Could NOT find Libb2 (missing: LIBB2_LIBRARY LIBB2_INCLUDE_DIR) 
    -- Could NOT find LTTngUST (missing: LTTNGUST_LIBRARIES LTTNGUST_INCLUDE_DIRS) 
    -- Could NOT find WrapSystemPCRE2 (missing: PCRE2_LIBRARIES PCRE2_INCLUDE_DIRS __pcre2_found) (Required is at least version "10.20")
    -- Could NOT find Slog2 (missing: Slog2_INCLUDE_DIR Slog2_LIBRARY) 
    -- Could NOT find WrapBrotli (missing: BrotliDec_FOUND BrotliEnc_FOUND BrotliCommon_FOUND) 
    -- Could NOT find OpenSSL, try to set the path to OpenSSL root folder in the system variable OPENSSL_ROOT_DIR (missing: OPENSSL_CRYPTO_LIBRARY OPENSSL_INCLUDE_DIR) 
    -- Could NOT find WrapOpenSSLHeaders (missing: WrapOpenSSLHeaders_FOUND) 
    -- Could NOT find OpenSSL, try to set the path to OpenSSL root folder in the system variable OPENSSL_ROOT_DIR (missing: OPENSSL_CRYPTO_LIBRARY OPENSSL_INCLUDE_DIR) 
    -- Could NOT find WrapOpenSSLHeaders (missing: WrapOpenSSLHeaders_FOUND) 
    -- Could NOT find WrapOpenSSL (missing: WrapOpenSSL_FOUND) 
    -- Could NOT find GSSAPI (missing: GSSAPI_LIBRARIES GSSAPI_INCLUDE_DIRS) 
    -- Could NOT find Libdrm (missing: Libdrm_LIBRARY Libdrm_INCLUDE_DIR) 
    -- Could NOT find WrapSystemFreetype (missing: __freetype_found) (Required is at least version "2.2.0")
    -- Could NOT find Fontconfig (missing: Fontconfig_LIBRARY Fontconfig_INCLUDE_DIR) 
    -- Could NOT find gbm (missing: gbm_LIBRARY gbm_INCLUDE_DIR) 
    -- Could NOT find WrapSystemHarfbuzz (missing: HARFBUZZ_LIBRARIES HARFBUZZ_INCLUDE_DIRS) (Required is at least version "2.6.0")
    -- Could NOT find Libinput (missing: Libinput_LIBRARY Libinput_INCLUDE_DIR) 
    -- Could NOT find JPEG (missing: JPEG_LIBRARY JPEG_INCLUDE_DIR) 
    -- Could NOT find md4c (missing: md4c_DIR)
    -- Could NOT find WrapSystemPNG (missing: __png_found) 
    -- Could NOT find WrapOpenGL (missing: WrapOpenGL_FOUND) 
    -- Could NOT find Vulkan (missing: Vulkan_LIBRARY Vulkan_INCLUDE_DIR) 
    -- Searching for tool 'Qt6::moc' in package Qt6CoreTools.
    -- Qt6::moc was found at /home/morten/Apps/Qt/6.2.0/gcc_64/./libexec/moc using package Qt6CoreTools.
    -- Tool 'Qt6::rcc' was found at /home/morten/Apps/Qt/6.2.0/gcc_64/./libexec/rcc.
    -- Tool 'Qt6::tracegen' was found at /home/morten/Apps/Qt/6.2.0/gcc_64/./libexec/tracegen.
    -- Tool 'Qt6::cmake_automoc_parser' was found at /home/morten/Apps/Qt/6.2.0/gcc_64/./libexec/cmake_automoc_parser.
    -- Using Qt bundled PCRE2.
    -- Using source syncqt found at: /home/morten/Apps/Qt/6.2.0/Src/qtbase/libexec/syncqt.pl
    -- Running syncqt for module: 'QtCore' 
    QtCore: WARNING: /home/morten/Apps/Qt/6.2.0/Src/qtbase/src/corelib/qtcore_tracepoints_p.h does not have the "We mean it." warning
    -- Could NOT find Backtrace (missing: Backtrace_LIBRARY Backtrace_INCLUDE_DIR) 
    -- Could NOT find double-conversion (missing: double-conversion_DIR)
    -- Could NOT find WrapDoubleConversion (missing: WrapDoubleConversion_FOUND) 
    -- Could NOT find GLIB2 (missing: GLIB2_LIBRARIES GTHREAD2_LIBRARIES GLIB2_INCLUDE_DIRS) 
    -- The following ICU libraries were not found:
    --   i18n (required)
    --   uc (required)
    --   data (required)
    -- Failed to find all ICU components (missing: ICU_INCLUDE_DIR ICU_LIBRARY _ICU_REQUIRED_LIBS_FOUND) 
    -- Could NOT find Libb2 (missing: LIBB2_LIBRARY LIBB2_INCLUDE_DIR) 
    -- Could NOT find LTTngUST (missing: LTTNGUST_LIBRARIES LTTNGUST_INCLUDE_DIRS) 
    -- Could NOT find WrapSystemPCRE2 (missing: PCRE2_LIBRARIES PCRE2_INCLUDE_DIRS __pcre2_found) (Required is at least version "10.20")
    -- Could NOT find Slog2 (missing: Slog2_INCLUDE_DIR Slog2_LIBRARY) 
    -- Running syncqt for module: 'QtZlib' 
    -- Running syncqt for module: 'QtConcurrent' 
    -- Running syncqt for module: 'QtNetwork' 
    -- Could NOT find WrapBrotli (missing: BrotliDec_FOUND BrotliEnc_FOUND BrotliCommon_FOUND) 
    -- Could NOT find OpenSSL, try to set the path to OpenSSL root folder in the system variable OPENSSL_ROOT_DIR (missing: OPENSSL_CRYPTO_LIBRARY OPENSSL_INCLUDE_DIR) 
    -- Could NOT find WrapOpenSSLHeaders (missing: WrapOpenSSLHeaders_FOUND) 
    -- Could NOT find OpenSSL, try to set the path to OpenSSL root folder in the system variable OPENSSL_ROOT_DIR (missing: OPENSSL_CRYPTO_LIBRARY OPENSSL_INCLUDE_DIR) 
    -- Could NOT find WrapOpenSSLHeaders (missing: WrapOpenSSLHeaders_FOUND) 
    -- Could NOT find WrapOpenSSL (missing: WrapOpenSSL_FOUND) 
    -- Could NOT find GSSAPI (missing: GSSAPI_LIBRARIES GSSAPI_INCLUDE_DIRS) 
    -- Running syncqt for module: 'QtXml' 
    -- Searching for tool 'Qt6::uic' in package Qt6WidgetsTools.
    -- Qt6::uic was found at /home/morten/Apps/Qt/6.2.0/gcc_64/./libexec/uic using package Qt6WidgetsTools.
    -- Tool 'Qt6::qlalr' was found at /home/morten/Apps/Qt/6.2.0/gcc_64/./libexec/qlalr.
    -- Tool 'Qt6::qvkgen' was found at /home/morten/Apps/Qt/6.2.0/gcc_64/./libexec/qvkgen.
    -- Tool 'Qt6::qtpaths' was found at /home/morten/Apps/Qt/6.2.0/gcc_64/bin/qtpaths.
    -- Could NOT find X11_XCB (missing: X11_XCB_LIBRARY X11_XCB_INCLUDE_DIR) 
    -- Using Qt bundled Harfbuzz.
    -- Using Qt bundled PNG.
    -- Using Qt bundled Freetype.
    -- Running syncqt for module: 'QtGui' 
    QtGui: WARNING: /home/morten/Apps/Qt/6.2.0/Src/qtbase/src/gui/qtgui_tracepoints_p.h does not have the "We mean it." warning
    -- Could NOT find Libdrm (missing: Libdrm_LIBRARY Libdrm_INCLUDE_DIR) 
    -- Could NOT find WrapSystemFreetype (missing: __freetype_found) (Required is at least version "2.2.0")
    -- Could NOT find Fontconfig (missing: Fontconfig_LIBRARY Fontconfig_INCLUDE_DIR) 
    -- Could NOT find gbm (missing: gbm_LIBRARY gbm_INCLUDE_DIR) 
    -- Could NOT find WrapSystemHarfbuzz (missing: HARFBUZZ_LIBRARIES HARFBUZZ_INCLUDE_DIRS) (Required is at least version "2.6.0")
    -- Could NOT find Libinput (missing: Libinput_LIBRARY Libinput_INCLUDE_DIR) 
    -- Could NOT find JPEG (missing: JPEG_LIBRARY JPEG_INCLUDE_DIR) 
    -- Could NOT find md4c (missing: md4c_DIR)
    -- Could NOT find WrapSystemPNG (missing: __png_found) 
    -- Could NOT find WrapOpenGL (missing: WrapOpenGL_FOUND) 
    -- Could NOT find Vulkan (missing: Vulkan_LIBRARY Vulkan_INCLUDE_DIR) 
    -- Running syncqt for module: 'QtOpenGL' 
    QtOpenGL: WARNING: /home/morten/Apps/Qt/6.2.0/Src/qtbase/src/opengl/qtopengl_tracepoints_p.h does not have the "We mean it." warning
    -- Running syncqt for module: 'QtWidgets' 
    QtWidgets: WARNING: /home/morten/Apps/Qt/6.2.0/Src/qtbase/src/widgets/qtwidgets_tracepoints_p.h does not have the "We mean it." warning
    -- Running syncqt for module: 'QtOpenGLWidgets' 
    -- Running syncqt for module: 'QtDeviceDiscoverySupport' 
    -- Running syncqt for module: 'QtFbSupport' 
    -- Running syncqt for module: 'QtTest' 
    -- Running syncqt for module: 'QtPrintSupport' 
    -- Could NOT find Cups (missing: CUPS_LIBRARIES CUPS_INCLUDE_DIR) 
    -- Could NOT find JPEG (missing: JPEG_LIBRARY JPEG_INCLUDE_DIR) 
    Generating Plugins files for BundledLibpng;BundledFreetype;BundledHarfbuzz;BundledPcre2;Core;ZlibPrivate;Concurrent;Network;Xml;Gui;OpenGL;Widgets;OpenGLWidgets;DeviceDiscoverySupportPrivate;FbSupportPrivate;Test;PrintSupport...
    Configuring 'qtshadertools'
    -- Using source syncqt found at: /home/morten/Apps/Qt/6.2.0/Src/qtbase/libexec/syncqt.pl
    -- Running syncqt for module: 'QtShaderTools' 
    -- Searching for tool 'Qt6::qsb' in package Qt6ShaderToolsTools.
    -- Could NOT find Qt6ShaderToolsTools (missing: Qt6ShaderToolsTools_DIR)
    CMake Error at qtbase/cmake/QtToolHelpers.cmake:118 (message):
      The tool "Qt6::qsb" was not found in the Qt6ShaderToolsTools package.
      Package found: 0
    Call Stack (most recent call first):
      qtshadertools/tools/qsb/CMakeLists.txt:8 (qt_internal_add_tool)
    
    
    -- Configuring incomplete, errors occurred!
    See also "/home/morten/Apps/Qt/6.2.0/Src/CMakeFiles/CMakeOutput.log".
    See also "/home/morten/Apps/Qt/6.2.0/Src/CMakeFiles/CMakeError.log".
    CMake Error at qtbase/cmake/QtProcessConfigureArgs.cmake:937 (message):
      CMake exited with code 1.
    


  • Hi, did you find your issue?. I had something similiar. So in finder I searched for all che Cmakecache.txt files under 6.2.0.... anything that was generated by me, I deleted it.

    But now I'm at this error:

    CMake Error at qtbase/cmake/QtToolHelpers.cmake:118 (message):
    The tool "Qt6::moc" was not found in the Qt6CoreTools package. Package
    found: 0
    Call Stack (most recent call first):
    qtbase/src/tools/moc/CMakeLists.txt:8 (qt_internal_add_tool)

    -- Configuring incomplete, errors occurred!
    See also "/Users/Alex/Qt/6.2.0/Src/CMakeFiles/CMakeOutput.log".
    See also "/Users/Alex/Qt/6.2.0/Src/CMakeFiles/CMakeError.log".
    CMake Error at qtbase/cmake/QtProcessConfigureArgs.cmake:923 (message):
    CMake exited with code 1.



  • I realize this a few months old but didn't see an answer. I also have this issue. Qt 6.2.0 building for QNX myself.



  • Aha - I had to go back to the maintenance tool and make sure to check the box next to 'Qt Shader Tools'. IMO if building Qt 6.2.0 is dependent on this, the box should get checked for you. Now I have another error further on but I'll post that separately.


Log in to reply